pcl::PolygonMesh Struct Reference

`#include <pcl/PolygonMesh.h>`

## Public Types

using | Ptr = shared_ptr< ::pcl::PolygonMesh >
using | ConstPtr = shared_ptr< const ::pcl::PolygonMesh >

## Public Member Functions

| PolygonMesh ()
PolygonMesh & | operator+= (const PolygonMesh &rhs)
| Add another polygon mesh to the current mesh. More...
const PolygonMesh | operator+ (const PolygonMesh &rhs)
| Add a polygon mesh to another mesh. More...

## Static Public Member Functions

static bool | concatenate (pcl::PolygonMesh &mesh1, const pcl::PolygonMesh &mesh2)
| Inplace concatenate two pcl::PolygonMesh. More...
static bool | concatenate (const PolygonMesh &mesh1, const PolygonMesh &mesh2, PolygonMesh &mesh_out)
| Concatenate two pcl::PCLPointCloud2. More...

## Public Attributes

::pcl::PCLHeader | header
::pcl::PCLPointCloud2 | cloud
std::vector< ::pcl::Vertices > | polygons

## Detailed Description

Definition at line 14 of file PolygonMesh.h.

## Member Typedef Documentation

## ConstPtr

using pcl::PolygonMesh::ConstPtr = shared_ptr<const ::pcl::PolygonMesh>

Definition at line 98 of file PolygonMesh.h.

## Ptr

using pcl::PolygonMesh::Ptr = shared_ptr< ::pcl::PolygonMesh>

Definition at line 97 of file PolygonMesh.h.

## Constructor & Destructor Documentation

## PolygonMesh()

pcl::PolygonMesh::PolygonMesh | ( |  | ) |

inline

Definition at line 16 of file PolygonMesh.h.

## Member Function Documentation

## concatenate() [1/2]

static bool pcl::PolygonMesh::concatenate | ( | const PolygonMesh & | mesh1,
|  | const PolygonMesh & | mesh2,
|  | PolygonMesh & | mesh_out
| ) |  |

inline static

Concatenate two pcl::PCLPointCloud2.

Parameters

  [in] | mesh1 | the first input mesh
  [in] | mesh2 | the second input mesh
  [out] | mesh_out | the resultant output mesh

Returns
  true if successful, false otherwise (unexpected error)

Definition at line 67 of file PolygonMesh.h.

References pcl::concatenate().

## concatenate() [2/2]

static bool pcl::PolygonMesh::concatenate | ( | pcl::PolygonMesh & | mesh1,
|  | const pcl::PolygonMesh & | mesh2
| ) |  |

inline static

Inplace concatenate two pcl::PolygonMesh.

Parameters

  [in,out] | mesh1 | the first input and output mesh
  [in] | mesh2 | the second input mesh

Returns
  true if successful, false otherwise (unexpected error)

Definition at line 31 of file PolygonMesh.h.

References cloud, pcl::PCLPointCloud2::concatenate(), header, pcl::PCLPointCloud2::height, polygons, pcl::PCLHeader::stamp, and pcl::PCLPointCloud2::width.

Referenced by pcl::concatenate().

## operator+()

const PolygonMesh pcl::PolygonMesh::operator+ | ( | const PolygonMesh & | rhs | ) |

inline

Add a polygon mesh to another mesh.

Parameters

  [in] | rhs | the mesh to add to the current mesh

Returns
  the new mesh as a concatenation of the current mesh and the new given mesh

Definition at line 91 of file PolygonMesh.h.

## operator+=()

PolygonMesh& pcl::PolygonMesh::operator+= | ( | const PolygonMesh & | rhs | ) |

inline

Add another polygon mesh to the current mesh.

Parameters

  [in] | rhs | the mesh to add to the current mesh

Returns
  the new mesh as a concatenation of the current mesh and the new given mesh

Definition at line 80 of file PolygonMesh.h.

References pcl::concatenate().

## Member Data Documentation

## cloud

::pcl::PCLPointCloud2 pcl::PolygonMesh::cloud

Definition at line 21 of file PolygonMesh.h.

Referenced by concatenate(), pcl::GridProjection< PointNT >::performReconstruction(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::OrganizedFastMesh< PointInT >::performReconstruction(), pcl::Poisson< PointNT >::performReconstruction(), pcl::ConcaveHull< PointInT >::performReconstruction(), pcl::ConvexHull< PointInT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), pcl::OrganizedFastMesh< PointInT >::resetPointData(), pcl::geometry::toFaceVertexMesh(), and pcl::geometry::toHalfEdgeMesh().

## header

::pcl::PCLHeader pcl::PolygonMesh::header

Definition at line 19 of file PolygonMesh.h.

Referenced by concatenate(), pcl::GridProjection< PointNT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), and pcl::MeshConstruction< PointInT >::reconstruct().

## polygons

std::vector< ::pcl::Vertices> pcl::PolygonMesh::polygons

Definition at line 23 of file PolygonMesh.h.

Referenced by concatenate(), pcl::GridProjection< PointNT >::performReconstruction(), pcl::MarchingCubes< PointNT >::performReconstruction(), pcl::OrganizedFastMesh< PointInT >::performReconstruction(), pcl::Poisson< PointNT >::performReconstruction(), pcl::ConcaveHull< PointInT >::performReconstruction(), pcl::ConvexHull< PointInT >::performReconstruction(), pcl::SurfaceReconstruction< PointInT >::reconstruct(), pcl::geometry::toFaceVertexMesh(), and pcl::geometry::toHalfEdgeMesh().

The documentation for this struct was generated from the following file:

- pcl/PolygonMesh.h